# FdoFgfGeometryFactory Class Reference

`#include <Factory.h>`

Inheritance diagram for FdoFgfGeometryFactory:

[legend]

List of all members.

## Detailed Description

The FdoFgfGeometryFactory class is an FGF-based Geometry factory, a concrete class that implements all the members from FdoGeometryFactoryAbstract.

Definition at line 37 of file Factory.h.

## Public Member Functions
virtual FDO_GEOM_API FdoICircularArcSegment * | CreateCircularArcSegment (FdoIDirectPosition *startPosition, FdoIDirectPosition *midPosition, FdoIDirectPosition *endPosition)
| CircularArcSegment.
virtual FDO_GEOM_API FdoICurvePolygon * | CreateCurvePolygon (FdoIRing *exteriorRing, FdoRingCollection *interiorRings)
| CurvePolygon.
virtual FDO_GEOM_API FdoICurveString * | CreateCurveString (FdoCurveSegmentCollection *curveSegments)
| CurveString.
virtual FDO_GEOM_API FdoIGeometry * | CreateGeometry (FdoIEnvelope *envelope)
| Creates a Geometry object by converting from an envelope.
virtual FDO_GEOM_API FdoIGeometry * | CreateGeometry (FdoString *text)
| Creates a Geometry object by converting from a text string.
virtual FDO_GEOM_API FdoIGeometry * | CreateGeometry (FdoIGeometry *geometry)
| Creates a Geometry object by copying from another Geometry.
virtual FDO_GEOM_API FdoIGeometry * | CreateGeometryFromFgf (const FdoByte *byteArray, FdoInt32 count)
| Creates a Geometry from FGF data.
virtual FDO_GEOM_API FdoIGeometry * | CreateGeometryFromFgf (FdoByteArray *byteArray)
| Creates a Geometry from FGF data.
virtual FDO_GEOM_API FdoIGeometry * | CreateGeometryFromWkb (FdoByteArray *byteArray)
| Creates an FGF-based Geometry from OpenGIS WKB data.
virtual FDO_GEOM_API FdoILinearRing * | CreateLinearRing (FdoInt32 dimensionality, FdoInt32 numOrdinates, double *ordinates)
| Creates a LinearRing object by copying from an array of ordinates.
virtual FDO_GEOM_API FdoILinearRing * | CreateLinearRing (FdoDirectPositionCollection *positions)
| LinearRing.
virtual FDO_GEOM_API FdoILineString * | CreateLineString (FdoInt32 dimensionType, FdoInt32 numOrdinates, double *ordinates)
| Creates a LineString object by copying from an array of ordinates.
virtual FDO_GEOM_API FdoILineString * | CreateLineString (FdoDirectPositionCollection *positions)
| Methods from FdoGeometryFactoryAbstract.
virtual FDO_GEOM_API FdoILineStringSegment * | CreateLineStringSegment (FdoInt32 dimtype, FdoInt32 numOrdinates, double *ordinates)
| Creates a LineStringSegment object by copying from an array of ordinates.
virtual FDO_GEOM_API FdoILineStringSegment * | CreateLineStringSegment (FdoDirectPositionCollection *positions)
| LineStringSegment.
virtual FDO_GEOM_API FdoIMultiCurvePolygon * | CreateMultiCurvePolygon (FdoCurvePolygonCollection *curvePolygons)
| MultiCurvePolygon.
virtual FDO_GEOM_API FdoIMultiCurveString * | CreateMultiCurveString (FdoCurveStringCollection *curveStrings)
| MultiCurveString.
virtual FDO_GEOM_API FdoIMultiGeometry * | CreateMultiGeometry (FdoGeometryCollection *geometries)
| MultiGeometry.
virtual FDO_GEOM_API FdoIMultiLineString * | CreateMultiLineString (FdoLineStringCollection *lineStrings)
| MultiLineString.
virtual FDO_GEOM_API FdoIMultiPoint * | CreateMultiPoint (FdoInt32 dimensionality, FdoInt32 numOrdinates, double *ordinates)
| Creates a MultiPoint object by copying from an array of ordinates.
virtual FDO_GEOM_API FdoIMultiPoint * | CreateMultiPoint (FdoPointCollection *points)
| MultiPoint.
virtual FDO_GEOM_API FdoIMultiPolygon * | CreateMultiPolygon (FdoPolygonCollection *polygons)
| Creates a MultiPolygon object by copying from a collection of polygon objects.
virtual FDO_GEOM_API FdoIPoint * | CreatePoint (FdoInt32 dimensionality, double *ordinates)
| Creates an point object by copying from an array of ordinates.
virtual FDO_GEOM_API FdoIPoint * | CreatePoint (FdoIDirectPosition *position)
| Point.
virtual FDO_GEOM_API FdoIPolygon * | CreatePolygon (FdoILinearRing *exteriorRing, FdoLinearRingCollection *interiorRings)
| Polygon.
virtual FDO_GEOM_API FdoIRing * | CreateRing (FdoCurveSegmentCollection *curveSegments)
| Ring.
virtual FDO_GEOM_API FdoByteArray * | GetByteArray ()
| Get an empty (possibly pooled) byte array.
virtual FDO_GEOM_API FdoByteArray * | GetFgf (FdoIGeometry *geometry)
| Gets FGF data from a Geometry.
virtual FDO_GEOM_API FdoByteArray * | GetWkb (FdoIGeometry *geometry)
| Gets OpenGIS WKB data from a Geometry.
virtual FDO_GEOM_API void | TakeReleasedByteArray (FdoByteArray *byteArray)
| Pool this array, released from some geometry.
## Static Public Member Functions
static FDO_GEOM_API FdoFgfGeometryFactory * | GetInstance ()
| Acquires an object of this class.
static FDO_GEOM_API FdoFgfGeometryFactory * | GetPrivateInstance (FdoInt32 numGeometries, FdoInt32 numPositions, FdoInt32 numEnvelopes, FdoInt32 numCurveSegments, FdoInt32 numRings)
| Instantiates an object of this class.

The documentation for this class was generated from the following file:

- Factory.h